Range-v3 Range algorithms, views, and actions for the Standard Library |

Functions
adjacent_remove_if.hpp File Reference

## Functions
template<typename I , typename S , typename Pred , typename Proj = identity>
I | ranges::adjacent_remove_if (I first, S last, Pred pred={}, Proj proj={})
| function `adjacent_remove_if` More...
template<typename Rng , typename Pred , typename Proj = identity>
borrowed_iterator_t< Rng > | ranges::adjacent_remove_if (Rng &&rng, Pred pred, Proj proj={})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...